summaryrefslogtreecommitdiffhomepage
path: root/sofort
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2018-12-16 03:52:31 -0500
committermidipix <writeonce@midipix.org>2018-12-16 04:01:21 -0500
commitf3f833bce5a5cec89f27e5f6e25c6ae96daefb78 (patch)
tree1b1309b713f3a71ea5493a699e73f0be000aafb6 /sofort
parentfe6fae40abcbc0fe0c822173dec67d9da123139e (diff)
downloadsofort-f3f833bce5a5cec89f27e5f6e25c6ae96daefb78.tar.bz2
sofort-f3f833bce5a5cec89f27e5f6e25c6ae96daefb78.tar.xz
cfgtest.sh: avoid trailing white space at end-of-line with empty variables.
Diffstat (limited to 'sofort')
-rw-r--r--sofort/cfgtest.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/sofort/cfgtest.sh b/sofort/cfgtest.sh
index a0dcc64..bd661c0 100644
--- a/sofort/cfgtest.sh
+++ b/sofort/cfgtest.sh
@@ -57,7 +57,9 @@ cfgtest_makevar_append()
mb_internal_str='+='
for mb_internal_arg ; do
- mb_internal_str="$mb_internal_str $mb_internal_arg"
+ if ! [ -z "$mb_internal_arg" ]; then
+ mb_internal_str="$mb_internal_str $mb_internal_arg"
+ fi
done
printf '%-24s%s\n' "$mb_cfgtest_makevar" "$mb_internal_str" \